Jump to: |  | OMake Home • Guide Home • Guide (single-page) • Contents (short) • Contents (long)
Index: |  | All • Variables • Functions • Objects • Targets • Options

# Index

- –absname, A.3.20
- –all-dependencies, A.3.15
- –configure, A.3.9
- –depend, A.3.8
- –dotomake, A.3.11
- –force-dotomake, A.3.10
- –install, A.3.17
- –install-all, A.3.18
- –install-force, A.3.19
- –output-at-end, A.2.11
- –output-normal, A.2.8
- –output-only-errors, A.2.10
- –output-postpone, A.2.9
- –print-dependencies, A.3.13
- –print-exit, A.2.6
- –print-status, A.2.5
- –progress, A.2.4
- –show-dependencies, A.3.14
- –verbose, A.2.7
- –verbose-dependencies, A.3.16
- -j, A.3.12
- -k, A.3.1
- -n, A.3.2
- -o, A.2.12
- -P, A.3.4
- -p, A.3.3
- -R, A.3.5
- -S, A.2.2
- -s, A.2.1
- -t, A.3.6
- -U, A.3.7
- -w, A.2.3
- .BUILD_BEGIN, 13.1
- .BUILD_FAILURE, 13.1
- .BUILD_SUCCESS, 13.1
- .BUILDORDER, 10.3.6
- .DEFAULT, 8.7, 8.12.1
- .INCLUDE, 8.9
- .MEMO, 4.14.1.1
- .ORDER, 10.3.6
- .omakerc, A.8
- .PHONY, 6.3, 8.10, 8.11.3, 8.12.1, 8.12.2
- .RULE, 6.3
- .SCANNER, 3.4.3, 8.6, 8.11.2
- .STATIC, 4.14.1
- .SUBDIRS, 3, 8.8
- .SUBDIRS bodies, 3.5
- :effects:, 8.5.2
- :exists:, 8.5.1
- :key:, 4.14.1.2
- :scanner:, 8.6.1
- :value:, 8.5.3
- $&, B.2.2.5
- $*, 8, B.2.2.5
- $+, 8, B.2.2.5
- $<, 8, B.2.2.5
- $>, B.2.2.5
- $@, 8, B.2.2.5
- $^, 8, B.2.2.5
- ABORT_ON_COMMAND_ERROR, 13.4.1
- ABORT_ON_DEPENDENCY_ERRORS, 13.6.4
- AC_MSG_CHECKING, 14.2
- AC_MSG_ERROR, 14.2
- AC_MSG_RESULT, 14.2
- AC_MSG_WARN, 14.2
- AC_TRY_COMPILE, 14.2
- AC_TRY_LINK, 14.2
- AC_TRY_RUN, 14.2
- AR, 13.5.2
- Array, 12.1.7
- AS, 13.5.2
- ASFLAGS, 13.5.2
- ASOUT, 13.5.2
- absname, 10.1.9
- accept, 10.8.31
- add, 9.4.3
- add-project-directories, 10.6.2
- add-wrapper, 9.3.27
- addprefix, 9.3.25
- addsuffix, 9.3.19
- addsuffixes, 9.3.21
- aliases, 15.2
- and, 9.2.3
- apply, 9.5.2
- applya, 9.5.3
- array, 9.3.1
- arrays, 4.3
- asr, 9.4.3
- awk, 3.4.3, 10.11.5
- BIBTEX, 13.7.1
- BUILD_SUMMARY, 9.1
- BYTE_ENABLED, 13.6.2
- basename, 10.1.4
- bg, 11.10.2
- bind, 10.8.29
- break, 9.3.43
- build, 13.3.6
- build model, 3
- CAMLP4, 13.6.2
- CC, 13.5.2
- CCOUT, 13.5.2
- CDLL_IMPLIES_STATIC, 13.5.4.1
- CFLAGS, 13.5.2
- CGeneratedFiles, 13.5.3.1
- Channel, 12.1.15
- CheckCHeader, 14.1.6
- CheckCLib, 14.1.7
- CheckProg, 14.1.8
- CL_FOUND, 13.5.1.2
- ConfMsgChecking, 14.1.1
- ConfMsgError, 14.1.2
- ConfMsgFound, 14.1.3
- ConfMsgResult, 14.1.1
- ConfMsgWarn, 14.1.2
- ConfMsgYesNo, 14.1.3
- CPP, 13.5.2
- CProgram, 13.5.4.5
- CProgramCopy, 13.5.4.6
- CProgramInstall, 13.5.4.7
- CWD, 13.4.1
- CXX, 13.5.2
- CXXFLAGS, 13.5.2
- CXXProgram, 13.5.4.8
- CXXProgramInstall, 13.5.4.8
- c-escaped, 9.3.14
- capitalize, 9.3.35
- case, 9.2.6
- cat, 10.11.2
- cats and dogs, 3.4
- cd, 11.9.2
- channel-name, 10.8.12
- chmod, 10.5.9
- chown, 10.5.10
- class, B.2.2.1
- classes, 4.12
- close, 10.8.5
- cmp-versions, 13.2.3
- compare, 9.7.4
- concat, 9.3.3
- conditionals, 4.9
- connect, 10.8.32
- constants, 4.15
- create-lazy-map, 9.5.4
- create-map, 9.5.4
- DefineCommandVars, 13.2.4
- DIRSEP, 13.4.2
- Dir, 12.1.14
- DVIPDFM, 13.7.1
- DVIPDFMFLAGS, 13.7.1
- DVIPS, 13.7.1
- DVIPSFLAGS, 13.7.1
- DynamicCLibrary, 13.5.4.1
- DynamicCLibraryCopy, 13.5.4.2
- DynamicCLibraryInstall, 13.5.4.3
- DynamicCXXLibrary, 13.5.4.9
- DynamicCXXLibraryCopy, 13.5.4.9
- DynamicCXXLibraryInstall, 13.5.4.9
- declare, 5.7
- decode-uri, 9.3.15
- default, 9.2.6
- defined, 9.2.10
- defined-env, 9.2.11
- dependencies, 13.3.1
- dependencies-all, 13.3.1
- dependencies-proper, 13.3.1
- digest, 10.2.5
- digest-in-path, 10.2.7
- digest-in-path-optional, 10.2.7
- digest-optional, 10.2.5
- dir, 10.1.1
- dirname, 10.1.5
- dirof, 10.1.7
- div, 9.4.3
- dup, 10.8.13
- dup2, 10.8.14
- EMPTY, 13.4.1
- EXE, 13.4.2
- EXT_ASM, 13.4.2
- EXT_DLL, 13.4.2
- EXT_LIB, 13.4.2
- EXT_OBJ, 13.4.2
- Exception, 12.1.19
- echo, 11.9.1
- else, 9.2.5, B.2.2.1
- elseif, 9.2.5, B.2.2.1
- encode-uri, 9.3.15
- eprint, 10.9
- eprintln, 10.9
- eprintv, 10.10
- eprintvln, 10.10
- eq, 9.4.4
- equal, 9.2.2
- exists-in-path, 10.2.4
- exit, 9.2.9
- export, 6.3, 9.3.41, B.2.2.1
- extends, B.2.2.1
- File, 12.1.13
- Float, 12.1.5
- Fun, 12.1.9
- fg, 11.10.3
- fgets, 10.8.35
- file, 10.1.1
- file-check-sort, 10.3.7
- file-exists, 10.3.1
- file-sort, 10.3.6
- filter, 9.3.33
- filter-exists, 10.3.3
- filter-out, 9.3.34
- filter-proper-targets, 10.3.3
- filter-targets, 10.3.3
- find, 10.7.2
- find-build-targets, 13.3.3
- find-in-path, 10.2.6
- find-in-path-optional, 10.2.6
- find-ocaml-targets-in-path-optional, 10.3.5
- find-targets-in-path, 10.3.4
- find-targets-in-path-optional, 10.3.4
- float, 9.4.2
- flush, 10.8.11
- fopen, 10.8.4
- foreach, 9.6.1
- fprint, 10.9
- fprintln, 10.9
- fprintv, 10.10
- fprintvln, 10.10
- fsubst, 10.11.6
- fullname, 10.1.8
- fun, 9.5.1
- functions, 4.5
- GCC_FOUND, 13.5.1.1
- Group, 10.11.20
- GXX_FOUND, 13.5.1.1
- ge, 9.4.4
- get-registry, 9.2.15
- getchar, 10.8.33
- getenv, 9.2.12
- getgrgid, 10.11.21
- getgrnam, 10.11.21
- gethostbyname, 10.8.23
- getprotobyname, 10.8.25
- getpwents, 10.11.19
- getpwnam, 10.11.18
- getpwuid, 10.11.18
- gets, 10.8.34
- getservbyname, 10.8.27
- gettimeofday, 10.11.27
- getvar, 9.2.16
- glob, 10.4.1
- global., 5.3
- gr_gid, 10.11.20
- gr_group, 10.11.20
- gr_mem, 10.11.20
- gr_name, 10.11.20
- grep, 10.11.3
- gt, 9.4.4
- HOME, 9.1
- HOST, 9.1
- Host, 10.8.22
- history, 11.11.1
- homename, 10.1.10
- html-escaped, 9.3.14
- html-pre-escaped, 9.3.14
- html-string, 9.3.18
- INCLUDES, 13.5.2
- INSTALL, 13.4.2
- InChannel, 12.1.16
- InetAddr, 10.8.21
- Int, 12.1.4
- id-escaped, 9.3.14
- if, 4.9, 9.2.5, B.2.2.1
- ignoreeof, 15.1
- in, 10.1.3
- include, 4.7, B.2.2.1
- inheritance, 4.13
- input-line, 10.8.6
- int, 9.4.1
- intersection, 9.3.30
- intersects, 9.3.31
- jobs, 11.10.1
- join, 9.3.11
- kill, 11.10.6
- LATEX, 13.7.1

- LATEXFLAGS, 13.7.1
- LaTeXDocument, 13.7.2.1
- LaTeXDocumentCopy, 13.7.2.3
- LaTeXDocumentInstall, 13.7.2.4
- LD, 13.5.2
- LDFLAGS, 13.5.2
- LDFLAGS_DLL, 13.5.2
- LDOUT, 13.5.2
- LEX, 13.5.2
- Lexer, 10.11.9
- LIB_FOUND, 13.5.1.2
- LIBS, 13.5.2
- LocalCGeneratedFiles, 13.5.3.1
- LocalOCamlGeneratedFiles, 13.6.5.1
- LocalTeXGeneratedFiles, 13.7.2.2
- Location, 12.1.18
- land, 9.4.3
- le, 9.4.4
- length, 9.3.4
- lex, 10.11.7
- lex-search, 10.11.8
- link, 10.5.6
- link-order sorting, 10.3.6
- listen, 10.8.30
- lnot, 9.4.3
- lockf, 10.8.20
- lor, 9.4.3
- lowercase, 9.3.38
- ls, 10.4.2
- lseek, 10.8.8
- lsl, 9.4.3
- lsr, 9.4.3
- lstat, 10.5.3
- lt, 9.4.4
- lxor, 9.4.3
- MACHINE, 9.1
- MAKEINDEX, 13.7.1
- Map, 12.1.2
- MENHIR_AVAILABLE, 13.6.1
- MENHIR_ENABLED, 13.6.2
- MENHIR_FLAGS, 13.6.3
- mapprefix, 9.3.26
- mapsuffix, 9.3.20
- match, 4.10, 9.2.6, B.2.2.1
- max, 9.4.3
- mem, 9.3.29
- min, 9.4.3
- mkdir, 10.5.1
- mkfifo, 10.8.18
- mod, 9.4.3
- mul, 9.4.3
- NATIVE_ENABLED, 13.6.2
- NCURSES_AVAILABLE, 14.3.1
- NCURSES_CFLAGS, 14.3.1
- NCURSES_CLIBS, 14.3.1
- NCURSES_TERMH_IN_NCURSES, 14.3.1
- NODENAME, 9.1
- Node, 12.1.12
- Number, 12.1.3
- neg, 9.4.3
- not, 9.2.1
- nth, 9.3.5
- nth-hd, 9.3.7
- nth-tl, 9.3.8
- Object, 12.1.1
- OCAML_BYTE_LINK_FLAGS, 13.6.3
- OCAML_CLIBS, 13.6.4
- OCAML_LIB_FLAGS, 13.6.4
- OCAML_LIBS, 13.6.4
- OCAML_LINK_FLAGS, 13.6.3
- OCAML_NATIVE_LINK_FLAGS, 13.6.3
- OCAML_OTHER_LIBS, 13.6.4
- OCAMLC, 13.6.2
- OCAMLCFLAGS, 13.6.3
- OCAMLDEP, 13.6.2
- OCAMLDEP_MODULES, 13.6.2
- OCAMLDEP_MODULES_AVAILABLE, 13.6.1
- OCAMLDEP_MODULES_ENABLED, 13.6.2
- OCAMLDEPFLAGS, 13.6.3
- OCAMLFIND, 13.6.2
- OCAMLFIND_EXISTS, 13.6.1
- OCAMLFINDFLAGS, 13.6.2
- OCAMLFLAGS, 13.6.3
- OCAMLINCLUDES, 13.6.2
- OCAMLLEX, 13.6.2
- OCAMLLEXFLAGS, 13.6.2
- OCAMLLINK, 13.6.2
- OCAMLMKTOP, 13.6.2
- OCAMLOPT, 13.6.2
- OCAMLOPT_EXISTS, 13.6.1
- OCAMLOPTFLAGS, 13.6.3
- OCAMLOPTLINK, 13.6.2
- OCAMLPACKS, 13.6.2
- OCAMLPPFLAGS, 13.6.3
- OCAMLYACC, 13.6.2
- OCAMLYACCFLAGS, 13.6.2
- OCamlGeneratedFiles, 13.6.5.1
- OCamlLibrary, 13.6.6.1
- OCamlLibraryCopy, 13.6.6.3
- OCamlLibraryInstall, 13.6.6.4
- OCamlPackage, 13.6.6.2
- OCamlProgram, 13.6.6.5
- OCamlProgramCopy, 13.6.6.6
- OCamlProgramInstall, 13.6.6.7
- OMAKE_VERSION, 9.1
- OMAKEFLAGS, A.5.1
- OMAKELIB, A.5.2
- OMAKEPATH, 9.1
- OMakeFlags, 13.2.1
- OMakefile, 2.8, 3
- OMakeroot, 2.8, 3, 13.4
- OMakeVersion, 13.2.2
- OS_VERSION, 9.1
- OSTYPE, 9.1
- OutChannel, 12.1.17
- objects, 4.11
- ocaml-escaped, 9.3.14
- ocamldep-omake, 13.6.5.2
- open, 4.7, B.2.2.1
- open-in-string, 10.8.2
- open-out-string, 10.8.3
- or, 9.2.4
- out-contents, 10.8.3
- PATHSEP, 13.4.2
- Parser, 10.11.13
- Passwd, 10.11.17
- PDFLATEX, 13.7.1
- PDFLATEXFLAGS, 13.7.1
- PID, 9.1
- Protocol, 10.8.24
- pipe, 10.8.17
- print, 10.9
- println, 10.9
- printv, 10.10
- printvln, 10.10
- private., 5.1
- project-directories, 13.3.4
- prompt, 15.1
- prompt-invisible, 10.11.26
- prompt-invisible-begin, 10.11.25
- prompt-invisible-end, 10.11.25
- protected., 5.4
- public., 5.5
- pw_dir, 10.11.17
- pw_gecos, 10.11.17
- pw_gid, 10.11.17
- pw_name, 10.11.17
- pw_passwd, 10.11.17
- pw_shell, 10.11.17
- pw_uid, 10.11.17
- quotations, 4.4
- quote, 9.3.16
- quote-argv, 9.3.17
- quoted strings, 7.2
- READLINE_AVAILABLE, 14.3.2
- READLINE_CFLAGS, 14.3.2
- READLINE_CLIBS, 14.3.2
- READLINE_GNU, 14.3.2
- ROOT, 13.4.1
- Rule, 12.1.10
- RunCProg, 14.1.5
- RuntimeException, 12.1.20
- raise, 9.2.8
- random, 9.3.44
- random-init, 9.3.44
- read, 10.8.6
- readlink, 10.5.8
- regular expressions, 10.11.1
- rehash, 10.2.3
- remove-project-directories, 10.6.3
- removeprefix, 9.3.22
- removesuffix, 9.3.23
- rename, 10.5.5
- replace-nth, 9.3.6
- replacesuffixes, 9.3.24
- return, 4.5, B.2.2.1
- rev, 9.3.10
- rewind, 10.8.9
- rootname, 10.1.6
- rule, 13.3.5
- rule, options, 8.5
- rule, scoping, 8.11
- rules, bounded implicit, 8.2
- rules, implicit, 8.1
- SCANNER_MODE, 13.4.1
- Sequence, 12.1.6
- Service, 10.8.26
- Shell, 12.1.22
- SNPRINTF_AVAILABLE, 14.3.3
- STDLIB, 9.1
- STDROOT, 13.4.1
- Stat, 10.5.2
- StaticCLibrary, 13.5.4.1
- StaticCLibraryCopy, 13.5.4.2
- StaticCLibraryInstall, 13.5.4.3
- StaticCObject, 13.5.4.4
- StaticCObjectCopy, 13.5.4.4
- StaticCObjectInstall, 13.5.4.4
- StaticCXXLibrary, 13.5.4.9
- StaticCXXLibraryCopy, 13.5.4.9
- StaticCXXLibraryInstall, 13.5.4.9
- String, 12.1.8
- SYSNAME, 9.1
- scan, 10.11.4
- section, 4.8, 8.3, B.2.2.1
- section rule, 8.4
- select, 10.8.19
- sequence-forall, 9.7.1
- sequence-sort, 9.7.3
- set, 9.3.28
- set-close-on-exec-mode, 10.8.16
- set-diff, 9.3.32
- set-nonblock, 10.8.15
- setenv, 9.2.13
- setvar, 9.2.17
- shell, 9.3.40
- socket, 10.8.28
- sorting (link-order), 10.3.6
- split, 9.3.2
- stat, 10.5.3
- stat-reset, 10.3.2
- static., 4.14
- stderr, 10.8.1
- stdin, 10.8.1
- stdout, 10.8.1
- stop, 11.10.4
- string, 9.3.12
- string-escaped, 9.3.14
- string-length, 9.3.13
- sub, 9.4.3
- subdirs, 10.4.3
- subrange, 9.3.9
- suffix, 10.1.11
- switch, 4.10, 9.2.6
- symlink, 10.5.7
- system, 9.3.39
- TARGETS, 9.1
- Target, 12.1.11
- TETEX2_ENABLED, 13.7.1
- TEXDEPS, 13.7.2.1
- TEXINPUTS, 13.7.2.1
- TEXVARS, 13.7.2.1
- TeXGeneratedFiles, 13.7.2.2
- TryCompileC, 14.1.4
- TryLinkC, 14.1.4
- TryRunC, 14.1.4
- target, 13.3.2
- target-exists, 10.3.1
- target-is-proper, 10.3.1
- tell, 10.8.10
- test, 10.7.1
- tgetstr, 10.11.22
- this., 5.2
- tmpfile, 10.1.2
- truncate, 10.5.11
- try, 9.2.7, B.2.2.1
- UnbuildableException, 12.1.21
- USE_OCAMLFIND, 13.6.2
- USEPDFLATEX, 13.7.1
- USER, 9.1
- uge, 9.4.4
- ugt, 9.4.4
- ule, 9.4.4
- ult, 9.4.4
- umask, 10.5.12
- uncapitalize, 9.3.36
- unlink, 10.5.4
- unsetenv, 9.2.14
- uppercase, 9.3.37
- VERBOSE, 9.1
- VerboseCheckCHeader, 14.1.6
- VerboseCheckCLib, 14.1.7
- value, 4.5, B.2.2.1
- variable definition, A.3.21
- vmount, 2.9, 10.6.1
- wait, 11.10.5
- where, 10.2.2
- which, 10.2.1
- while, 9.3.42, B.2.2.1
- write, 10.8.7
- xterm-escape, 10.11.24
- xterm-escape-begin, 10.11.23
- xterm-escape-end, 10.11.23
- YACC, 13.5.2

Jump to: |  | OMake Home • Guide Home • Guide (single-page) • Contents (short) • Contents (long)
Index: |  | All • Variables • Functions • Objects • Targets • Options